Bug 149781 - array subscript out of range
array subscript out of range
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: jikes (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
bzcl34nup
: MoveUpstream
Depends On:
Blocks: 211763
  Show dependency treegraph
 
Reported: 2005-02-26 12:35 EST by David Binderman
Modified: 2008-05-06 20:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-26 12:35:03 EST
Description of problem:

I just tried to compile package jikes-1.22-1 from 
Redhat Fedora Extras development tree.

The compiler said

semantic.h(634): warning #175: subscript out of range

The source code is

        DefiniteExpr[Ast::TYPE] = &Semantic::DefiniteDefaultExpression;

Suggest avoid indexing one beyond the end of the array.  
DefiniteExpr has _num_expression_kinds elements, but Ast::TYPE has
a value far in excess of this value.

I'm not sure what the fix is for this.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ville Skyttä 2005-02-26 12:52:58 EST
Please report upstream at
http://www-124.ibm.com/developerworks/oss/jikes/faq/bug-reporting.shtml

I don't think it makes sense to hunt down compiler _warnings_ without
test cases showing related errors here.  Upstream might be more
interested in that, although I'm sure they will also welcome a test case.
Comment 2 David Binderman 2005-02-27 15:17:38 EST
>Please report upstream at

Sorry, but I haven't got time to do this. 

Could I ask you to do it for me ?

>I don't think it makes sense to hunt down compiler _warnings_ without
>test cases showing related errors here.

I'm not sure what you mean by related errors.

The code is certainly broken - I'm not sure of a 
sensible fix for this.
Comment 3 Ville Skyttä 2005-02-27 15:35:36 EST
I don't claim that the code is not broken (although I haven't checked).

Related errors: does this compiler warning manifest itself anywhere? 
Does the Jikes package not build, or the resulting executable crash,
or does it produce bad Java bytecode or malfunction some other way? 
If not, as far as I'm concerned it's just a compiler warning; those
would be better off reported upstream.

I've submitted a pointer to this entry to the upstream BTS.  (It took
some 30 seconds, by the way.)  Let's see what they think.
Comment 4 Michael Schwendt 2005-07-23 14:50:39 EDT
"subscript out of range" is a type of buffer overflow and ought to be
investigated. Always.

Comment 5 Bug Zapper 2008-04-03 11:53:09 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:06:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.